Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmProblemSet_s Struct Reference

`#include <rpmlib.h>`

## Data Fields

int | numProblems
int | numProblemsAlloced
rpmProblem | probs

## Field Documentation

int rpmProblemSet_s::numProblems

| Current probs array size. Definition at line 989 of file rpmlib.h. Referenced by rpmProblemSetPrint, and rpmtransRun.

int rpmProblemSet_s::numProblemsAlloced

| Allocated probs array size. Definition at line 990 of file rpmlib.h.

rpmProblem rpmProblemSet_s::probs

| Array of specific problems. Definition at line 991 of file rpmlib.h. Referenced by rpmProblemSetPrint, and rpmtransRun.

The documentation for this struct was generated from the following file:

- lib/rpmlib.h